CometBFT
cURL
curl --request GET \ --url https://rpc.cosmos.directory/cosmoshub/block_results
{ "jsonrpc": "2.0", "id": 0, "result": { "height": "12", "txs_results": [ { "code": "0", "data": "", "log": "not enough gas", "info": "", "gas_wanted": "100", "gas_used": "100", "events": [ { "type": "app", "attributes": [ { "key": "action", "value": "send", "index": false } ] } ], "codespace": "ibc" } ], "finalize_block_events": [ { "type": "app", "attributes": [ { "key": "action", "value": "send", "index": false } ] } ], "validator_updates": [ { "power": "300" } ], "consensus_param_updates": { "block": { "max_bytes": "22020096", "max_gas": "1000", "time_iota_ms": "1000" }, "evidence": { "max_age": "100000" }, "validator": { "pub_key_types": [ "ed25519" ] } } } }
Get block results at a specified height
Get block_results.
If the height field is set to a non-default value, upon success, the Cache-Control header will be set with the default maximum age.
height
Cache-Control
height to return. If no height is provided, it will fetch information regarding the latest block.
1
Block results.
"2.0"
0
Show child attributes
Was this page helpful?